Bug 372391 - Firefox crashes on some fonts
Firefox crashes on some fonts
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
i386 Linux
low Severity high
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-09 04:41 EST by Bart Vanbrabant
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-12 05:10:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Backtrace from crash (4.46 KB, text/plain)
2007-11-09 04:42 EST, Bart Vanbrabant
no flags Details
screenshot of unsuccesful attempt to reproduce (225.58 KB, image/png)
2007-11-09 11:38 EST, Matěj Cepl
no flags Details

  None (edit)
Description Bart Vanbrabant 2007-11-09 04:41:00 EST
Description of problem:
Firefox crashes on some sites. The problem seems related to some fonts, just
before the crash ff prints out this:

(gecko:2883): Pango-WARNING **: failed to create cairo scaled font, expect ugly
output. the offending font is 'Lucida Sans 8.25'

Gdb tells me this (first 13 items from backtrace in attachment):
0x00f1c6bd in nsHTMLReflowState::CalcLineHeight (aPresContext=0xaecb988,
    aRenderingContext=0xaf27138, aFrame=0xaf262ec)
    at nsHTMLReflowState.cpp:2224
2224      aFontMetrics->GetNormalLineHeight(normalLineHeight);

When I don't allow websites to use other fonts then I've defined in the
preferences the websites causing trouble work fine.

Version-Release number of selected component (if applicable):

But ff alsa had the problem. The version that can be downloaded from
mozilla.org works fine.

How reproducible:

Steps to Reproduce:
1. Make sure that you have Lucida Sans installed. It's included in the JVM's
from SUN. When installing the rpms and the compat packages from jpackage these
fonts are also available.
2. Make sure that "Allow pages to use their own fonts ..." is set in the preferences
3. Go to a website using this font. Like my own http://blog.zoeloelip.be
Actual results:
Firefox crashes (segmentation fault)

Expected results:
I can view the website!
Comment 1 Bart Vanbrabant 2007-11-09 04:42:55 EST
Created attachment 252511 [details]
Backtrace from crash
Comment 2 Matěj Cepl 2007-11-09 11:38:26 EST
Created attachment 253011 [details]
screenshot of unsuccesful attempt to reproduce

Cannot reproduce here with FF3alpha neither with One possibility might
be something about the conflict between bitmap version of Lucida Sans from
xorg-fonts and the TTF ones from Java package?
Comment 3 Matěj Cepl 2007-11-09 11:40:42 EST
Please, try to describe more details about your system to enable us to reproduce
this bug here.

Moreover, the backtrace is almost useless because it is the one only from one
thread of multithreaded firefox. You have to run gdb command

thread apply all backtrace

instead to get all threads.
Comment 4 Bart Vanbrabant 2007-11-10 05:47:42 EST
The symlinks in /usr/share/fonts/java seemed to be dangling symlinks. I removed
them and the problem was gone. Afterwards I recated the dangling symlinks by I
can't reproduce the crash anymore.
Comment 5 Matěj Cepl 2007-11-12 05:10:30 EST
OK, closing this bug per comment 4.

Note You need to log in before you can comment on or make changes to this bug.